<?php
define('_IN_JOHNCMS', 1);
						
$rootpath = '../../';
$headmod = 'world_war';
require("../../incfiles/core.php");
$textl = 'Войны миров!';
require("../../incfiles/head.php");
include_once("../tmn.php");

$pr = 1; //ид вашего задания (придумайте сами если пишете задание) главное чтоб не повторялось

$result=mysql_query("SELECT * FROM `wwzadan` WHERE `zid` = '$pr'");
$myrow = mysql_fetch_array($result); //все данные задания

$bot=mysql_query("SELECT * FROM `wwzadan_bots` WHERE `zid` = '$pr");
$botrow = mysql_fetch_array($bot); //Все данные бота вашего задания

$uzer=mysql_query("SELECT * FROM `wwzadan_users` WHERE `uid` = '$user_id'");
$uzerrow = mysql_fetch_array($uzer);

$action=htmlspecialchars(trim($_GET['action']));
echo    '<div class="phdr"><b>Задание: '.$myrow['name'].'</b></div>';
switch ($action){

default: 

if($uzerrow['zid1'] == 1){ //если это задание уже выполнено тогда... (выполнено это когда 1 а не 0)
    echo 'Ошибка! Вы уже выполнили это задание!';break;
};

echo    '<div class="menu"><b>Описание:</b><br/>';
echo	'<small> '.$myrow['opis'].'       </small></div>';
echo    'За выполнение задания вы получите: <br /> '.$myrow['exp'].' опыта <br /> '.$myrow['coins'].' монет';
echo    '<div class="menu">и еще: в задании нужно будет выиграть бой в бота '.$botrow['name'].'<br/></div>';
echo    '<div class="bmenu"><a href="?action=go">Вперед!</a></div>';
break;
//если нажмет на "Вперед"
case 'go':
echo    '<div class="menu">
<img src="forest1.jpg" alt=""/><br/>Вы отправились в путь, вы идете по темному густому лесу, по тропинке которого давно уже никто не ходил, <br />
чем дальше вы идете тем мрачнее становиться лес, <br />
наконец то вы видите свет в конце леса, вы очень обрадовались этому, подходя к понце леса вы видите что перед вами две высокие горы, <br /> </div>';
echo    'Вы решаете... <br /><a href="?action=gora">Пойти дальше</a> <br /> <a href="?action=obhod">Пойти в обход</a><br /><a href="index.php">ДАНУЕГОНАХУЙ</a>';
break;

case 'obhod':

echo '<div class="phdr"><img src="forest1.jpg" alt=""/><br/></div>';
echo    '<div class="menu">В обход так в обход подумали вы и начали шагать ближе к горе, опять таки начался лес, такой же как и был, спустя час скушной ходьбы, вы увидили тропинку которая идет как раз туда куда вам нужно, вокруг горы, еще была тропинка которая вела на гору но к ней было пробраться очень сложно так как были непроходимые хащи, как в джунглях, вы идете по тропинке вокруг горы, уже настает вечер<br />Вы решаете:<br />
<a href="?action=palatka>Построить палатку</a> и подождать утра<br /><a href="?action=dalshe>Пойти дальше</a><br /><a href="index.php">ДАНУЕГОНАХУЙ</a></div>';
break;

case 'gora':

echo '<div class="phdr"><img src="forest1.jpg" alt=""/><br/></div>';
echo    '<div class="menu">Вы и начали шагать ближе к горе, опять таки начался лес, такой же как и был, спустя час скушной ходьбы, вы увидили тропинку которая ведет как раз туда куда вам нужно, на горы, еще была тропинка которая велавокруг горы, 
но к ней пробраться очень сложно так как были непроходимые хащи, как в джунглях, вы идете по тропинке, вы видите что уже поднялись на гору, но уже настает вечер<br />Вы решаете:<br />
<a href="?action=palatka1">Построить палатку</a> и подождать утра<br /><a href="?action=dalshe1">Пойти дальше</a><br /><a href="index.php">ДАНУЕГОНАХУЙ</a></div>';
break;
case 'palatka':

echo '<div class="phdr"><img src="treepee.jpg" alt=""/><br/></div>';
echo    '<div class="menu">Вы построили палатку и лягли в нее переночевать, вы уснули...<br />
Где то около 3 часа ночи вы пробудились от того что подул сильный ветер, ваша палатка выдала странные звуки, вы вышли из палатки, проверили все вокруг, не заметив ничего странного вы вернулись в палатку,
 и тут кто то за орал, вы вышли из палатки, и увидели небольшого монстрика...
 <img src="bot.jpg" alt=""/><br />
<br />
Вы решаете:<br />
<a href="?action=naderevo">Вылезть на дерево</a><br /><a href="draka.php">Начать бой</a></div>';

break;


case 'naderevo':
echo    '<div class="menu">Вы вылезли на дерево, но немного остановились чтоб передохнуть и в тот же <br />момент
 вы почуствували что вас кто то ударил, вы обернулись и получили еще один удар но уже очень сильный, <br /> 
 вы упали с дерева и хоть и побитый/ая смогли сбежать [<a href="index.php">Продолжить</a>]</div></div>';
break;

case 'palatka':
echo '<div class="phdr"><img src="treepee.jpg" alt=""/><br/></div>';
echo    '<div class="menu">Вы построили палатку и лягли в нее переночевать, вы уснули...<br />
Где то около 3 часа ночи вы пробудились от того что подул сильный ветер, ваша палатка выдала странные звуки, вы вышли из палатки, проверили все вокруг, не заметив ничего странного вы вернулись в палатку,
 и тут кто то за орал, вы вышли из палатки, и увидели небольшого монстрика...
 <img src="bot.jpg" alt=""/><br/>
<br />
Вы решаете:<br />
<a href="?action=naderevo">Вылезть на дерево</a><br /><a href="draka.php">Начать бой</a></div>';
break;


case 'dalshe':

echo '<div class="phdr"><img src="bot.jpg" alt=""/><br/></div>';
echo    '<div class="menu">Вы решили пойти дальше, спустя несколько часов вы наконец то увидели перед собой то самое джерело, вы уже достали свою бутылку, но перед вами явился какой то маленький, риженький монстрик, вы решаете<br />Вы решаете:<br />
<a href="draka.php>Начать бой</a><br /><a href="index.php">ДАНУЕГОНАХУЙ</a></div>';
break;

case 'dalshe1':

echo '<div class="phdr"><img src="bot.jpg" alt=""/><br/></div>';
echo    '<div class="menu">Вы спустя несколько часов ходьбы не находите ни одной дороги, вы заблудились, к счастью вы увидили что кто то маленький идет к вам, вы уже обрадовались что спросите дорогу, но<br />
он оказался не мирным, и захотел вас убить! Вы решаете: <br /><a href="draka.php">Вступить в бой</a><br /><a href="index.php">ДАНУЕГОНАХУЙ</a></div>';
break;

case 'afterdraka':

if($uzerrow['zid1'] == 1){ //если это задание уже выполнено тогда... (выполнено это когда 1 а не 0)
    echo 'Ошибка! Вы уже выполнили это задание!';break;
};
mysql_query("UPDATE `uww` SET `coins` = `coins` + '$myrow[coins]', `exp` = `exp` + '$myrow[exp]' WHERE `uid` = '$user_id' LIMIT 1");
mysql_query("UPDATE `wwzadan_users` SET `zid1` = '1' WHERE `uid` = '$user_id' LIMIT 1");

echo  '<div class="menu">Вы наконец то дошли к джерелу и набрали воды <br /> 
потом вернулись назад, и отдали воду старику, он был очень благодарен и отдал вам свою часть золота ввиде '.$myrow['coins'].' а так же за выполнение задания вы получили '.$myrow['exp'].' опыта | спасибо!</div>';
break;

};
include_once("../foot.php");
							 
require ("../../incfiles/end.php");
?>